"use strict";

exports.__esModule = true;
exports.default = createDurationFormatter;

var _prettyMs = _interopRequireDefault(require("pretty-ms"));

var _NumberFormatter = _interopRequireDefault(require("../NumberFormatter"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function createDurationFormatter(config = {}) {
  const {
    description,
    id,
    label,
    multiplier = 1
  } = config,
        prettyMsOptions = _objectWithoutPropertiesLoose(config, ["description", "id", "label", "multiplier"]);

  return new _NumberFormatter.default({
    description,
    formatFunc: value => (0, _prettyMs.default)(value * multiplier, prettyMsOptions),
    id: id != null ? id : 'duration_format',
    label: label != null ? label : "Duration formatter"
  });
}